inherited CadChecklist: TCadChecklist
  Caption = 'Cadastro de Check List'
  ExplicitWidth = 320
  ExplicitHeight = 240
  PixelsPerInch = 96
  TextHeight = 13
  inherited dxMainRibbon: TdxRibbon
    inherited dxGerencia: TdxRibbonTab
      Index = 0
    end
    inherited dxDesign: TdxRibbonTab
      Index = 1
    end
  end
  inherited cxpcMain: TcxPageControl
    Properties.ActivePage = cxtsData
    inherited cxtsSearch: TcxTabSheet
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
    end
    inherited cxtsData: TcxTabSheet
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      inherited DesignPanel: TJvDesignPanel
        inherited cxGBDadosMain: TcxGroupBox
          inherited dxBevel1: TdxBevel
            ExplicitTop = 0
          end
          object Label6: TLabel
            Left = 8
            Top = 9
            Width = 33
            Height = 13
            Caption = 'C'#243'digo'
          end
          object ePkCodig: TgbDBTextEditPK
            Left = 58
            Top = 6
            TabStop = False
            DataBinding.DataField = 'ID'
            DataBinding.DataSource = dsData
            Properties.ReadOnly = True
            Style.BorderStyle = ebsOffice11
            Style.Color = clGradientActiveCaption
            Style.LookAndFeel.Kind = lfOffice11
            StyleDisabled.LookAndFeel.Kind = lfOffice11
            StyleFocused.LookAndFeel.Kind = lfOffice11
            StyleHot.LookAndFeel.Kind = lfOffice11
            TabOrder = 1
            Width = 58
          end
          object gbDBCheckBox1: TgbDBCheckBox
            Left = 871
            Top = 6
            Anchors = [akTop, akRight]
            Caption = 'Ativo?'
            DataBinding.DataField = 'BO_ATIVO'
            DataBinding.DataSource = dsData
            Properties.ImmediatePost = True
            Properties.ValueChecked = 'S'
            Properties.ValueUnchecked = 'N'
            Style.BorderStyle = ebsOffice11
            Style.LookAndFeel.Kind = lfOffice11
            StyleDisabled.LookAndFeel.Kind = lfOffice11
            StyleFocused.LookAndFeel.Kind = lfOffice11
            StyleHot.LookAndFeel.Kind = lfOffice11
            TabOrder = 2
            Transparent = True
            Width = 55
          end
          object gbPanel1: TgbPanel
            Left = 2
            Top = 34
            Align = alTop
            Alignment = alTopRight
            PanelStyle.Active = True
            PanelStyle.OfficeBackgroundKind = pobkGradient
            Style.BorderStyle = ebsNone
            Style.LookAndFeel.Kind = lfOffice11
            Style.Shadow = False
            StyleDisabled.LookAndFeel.Kind = lfOffice11
            StyleFocused.LookAndFeel.Kind = lfOffice11
            StyleHot.LookAndFeel.Kind = lfOffice11
            TabOrder = 0
            Transparent = True
            DesignSize = (
              932
              23)
            Height = 23
            Width = 932
            object Label2: TLabel
              Left = 6
              Top = 4
              Width = 46
              Height = 13
              Caption = 'Descri'#231#227'o'
            end
            object edDescricao: TgbDBTextEdit
              Left = 56
              Top = 0
              Anchors = [akLeft, akTop, akRight]
              DataBinding.DataField = 'DESCRICAO'
              DataBinding.DataSource = dsData
              Properties.CharCase = ecUpperCase
              Style.BorderStyle = ebsOffice11
              Style.Color = 14606074
              Style.LookAndFeel.Kind = lfOffice11
              StyleDisabled.LookAndFeel.Kind = lfOffice11
              StyleFocused.LookAndFeel.Kind = lfOffice11
              StyleHot.LookAndFeel.Kind = lfOffice11
              TabOrder = 0
              gbRequired = True
              gbPassword = False
              Width = 868
            end
          end
          inline FrameChecklistItem: TFrameChecklistItem
            Left = 2
            Top = 57
            Width = 932
            Height = 212
            Align = alClient
            TabOrder = 3
            ExplicitLeft = 2
            ExplicitTop = 57
            ExplicitWidth = 932
            ExplicitHeight = 212
            inherited cxpcMain: TcxPageControl
              Width = 932
              Height = 171
              ExplicitWidth = 932
              ExplicitHeight = 171
              ClientRectBottom = 171
              ClientRectRight = 932
              inherited cxtsSearch: TcxTabSheet
                ExplicitWidth = 932
                ExplicitHeight = 147
                inherited cxGridPesquisaPadrao: TcxGrid
                  Width = 932
                  Height = 147
                  ExplicitWidth = 932
                  ExplicitHeight = 147
                end
              end
              inherited cxtsData: TcxTabSheet
                inherited cxGBDadosMain: TcxGroupBox
                  inherited dxBevel1: TdxBevel
                    ExplicitWidth = 928
                  end
                  inherited edDescricao: TgbDBTextEdit
                    ExplicitWidth = 800
                    Width = 800
                  end
                  inherited gbDBCheckBox1: TgbDBCheckBox
                    Left = 866
                    ExplicitLeft = 866
                    ExplicitHeight = 21
                  end
                end
              end
            end
            inherited PnTituloFrameDetailPadrao: TgbPanel
              Style.IsFontAssigned = True
              ExplicitWidth = 932
              Width = 932
            end
            inherited dxBarManagerPadrao: TdxBarManager
              DockControlHeights = (
                0
                0
                22
                0)
            end
            inherited dsDataFrame: TDataSource
              DataSet = nil
            end
          end
        end
      end
    end
  end
  inherited dxBarManagerPadrao: TdxBarManager
    DockControlHeights = (
      0
      0
      0
      0)
    inherited dxBarManager: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
      FloatClientWidth = 80
      FloatClientHeight = 221
    end
    inherited dxBarAction: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
      FloatClientWidth = 82
    end
    inherited dxBarReport: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
      FloatClientWidth = 85
    end
    inherited dxBarEnd: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
      FloatClientWidth = 55
    end
    inherited dxBarSearch: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
      FloatClientWidth = 81
      FloatClientHeight = 54
    end
    inherited dxDesignDesign: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
    end
    inherited dxBarNavegacaoData: TdxBar
      DockedDockingStyle = dsNone
    end
    inherited dxBarPersonalizacoes: TdxBar
      DockedDockControl = nil
      DockedDockingStyle = dsNone
      FloatClientWidth = 85
      FloatClientHeight = 21
    end
  end
  inherited UCCadastro_Padrao: TUCControls
    GroupName = 'Cadastro de Check List'
  end
  inherited cdsData: TGBClientDataSet
    ProviderName = 'dspChecklist'
    RemoteServer = DmConnection.dspChecklist
    object cdsDataID: TAutoIncField
      DisplayLabel = 'C'#243'digo'
      FieldName = 'ID'
      Origin = 'ID'
      ProviderFlags = [pfInWhere, pfInKey]
      ReadOnly = True
    end
    object cdsDataDESCRICAO: TStringField
      DisplayLabel = 'Descri'#231#227'o'
      FieldName = 'DESCRICAO'
      Origin = 'DESCRICAO'
      Required = True
      Size = 255
    end
    object cdsDataBO_ATIVO: TStringField
      DefaultExpression = 'S'
      DisplayLabel = 'Ativo'
      FieldName = 'BO_ATIVO'
      Origin = 'BO_ATIVO'
      Required = True
      FixedChar = True
      Size = 1
    end
    object cdsDatafdqChecklistItem: TDataSetField
      FieldName = 'fdqChecklistItem'
    end
  end
  object cdsChecklistItem: TGBClientDataSet
    Aggregates = <>
    DataSetField = cdsDatafdqChecklistItem
    Params = <>
    AfterOpen = cdsChecklistItemAfterOpen
    OnNewRecord = cdsChecklistItemNewRecord
    gbUsarDefaultExpression = True
    gbValidarCamposObrigatorios = True
    Left = 728
    Top = 80
    object cdsChecklistItemID: TAutoIncField
      DisplayLabel = 'C'#243'digo'
      FieldName = 'ID'
      Origin = 'ID'
      ProviderFlags = [pfInWhere, pfInKey]
    end
    object cdsChecklistItemNR_ITEM: TIntegerField
      DisplayLabel = 'Item'
      FieldName = 'NR_ITEM'
      Origin = 'NR_ITEM'
      Required = True
    end
    object cdsChecklistItemDESCRICAO: TStringField
      DisplayLabel = 'Descri'#231#227'o'
      FieldName = 'DESCRICAO'
      Origin = 'DESCRICAO'
      Required = True
      Size = 255
    end
    object cdsChecklistItemID_CHECKLIST: TIntegerField
      DisplayLabel = 'C'#243'digo do Checklist'
      FieldName = 'ID_CHECKLIST'
      Origin = 'ID_CHECKLIST'
    end
    object cdsChecklistItemBO_ATIVO: TStringField
      DefaultExpression = 'S'
      DisplayLabel = 'Ativo'
      FieldName = 'BO_ATIVO'
      Origin = 'BO_ATIVO'
      Required = True
      FixedChar = True
      Size = 1
    end
  end
end
